Upload profile media
curl --request POST \
--url https://api.wircle.com/v1/profiles/{profile_id}/media/{kind}/{theme}import requests
url = "https://api.wircle.com/v1/profiles/{profile_id}/media/{kind}/{theme}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.wircle.com/v1/profiles/{profile_id}/media/{kind}/{theme}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"kind": "avatar",
"theme": "light",
"source_url": "<string>",
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>",
"moderation_status": "<string>"
},
"agent": {
"hint": "<string>"
}
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}{
"ok": false,
"data": null,
"agent": {
"hint": "<string>"
},
"error_code": "<string>",
"error_message": "<string>"
}Profiles
Upload profile media
Uploads and processes an avatar or banner variant for a profile.
POST
/
v1
/
profiles
/
{profile_id}
/
media
/
{kind}
/
{theme}
Upload profile media
Path Parameters
Minimum string length:
1Available options:
avatar Available options:
light Response
Agent Response Protocol success envelope.
Agent Response Protocol success envelope.
Whether the API request completed successfully.
Available options:
true Uploads and processes an avatar or banner variant for a profile.
Show child attributes
Show child attributes
Wircle-generated context for AI agents. This object may be empty.
Show child attributes
Show child attributes
⌘I